WordPress.org

Forums

Ads by datafeedr.com
[resolved] Error and Shortcode not working after PHP upgrade (4 posts)

  1. gab1982
    Member
    Posted 1 year ago #

    Hi, I love the plugin and recently the PHP version was upgraded on my server to 5.4.22 and now I get this error showing on the site:

    Warning: Illegal string offset 'dfads_enable_shortcodes_in_widgets' in /home/bbhost7/public_html/files/wordpress/wp-content/plugins/ads-by-datafeedrcom/dfads.php on line 80

    I upgraded wordpress to the latest just to make sure it wasn't that and it still didn't help, when activated and the error shows I cannot access the admin cp so I have to keep it deactivated for now :(

    Will a update for this plugin be released to address this issue?

    thanks

    http://wordpress.org/plugins/ads-by-datafeedrcom/

  2. datafeedr
    Member
    Plugin Author

    Posted 1 year ago #

    Hi

    If you change this:

    $output = get_option( 'dfads-settings' );

    To this:

    $output = get_option( 'dfads-settings', array() );

    Here: /wp-content/plugins/ads-by-datafeedrcom/dfads.php (Line #79)

    Does that fix the problem for you?

    Eric

  3. raptordrew
    Member
    Posted 1 year ago #

    I also had this issue; tried the author's suggested fix, did not change the error. I ended up commenting out the "shortcodes in widgets" lines, 79-84 I believe? Not having enough coding knowledge, I couldn't figure out what was causing the issue.

  4. datafeedr
    Member
    Plugin Author

    Posted 1 year ago #

    This should be fixed now.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Ads by datafeedr.com
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic